
# drop database stockdb;
# create database stockdb;
use stockdb;
create table  if not exists t_ods_hs_base_list(
    ts_code varchar(32) default '' comment 'TS代码',
    symbol varchar(32) default '' comment '股票代码',
    name varchar(32) default '' comment '股票名称',
    area varchar(32) default '' comment '地域',
    industry varchar(32) default '' comment '所属行业',
    fullname varchar(128) default '' comment '股票全称',
    enname varchar(128) default '' comment '英文全称',
    cnspell varchar(32) default '' comment '拼音缩写',
    market varchar(32) default '' comment '市场类型',
    exchange varchar(32) default '' comment '交易所代码',
    curr_type varchar(32) default '' comment '交易货币',
    list_status varchar(32) default '' comment '上市状态 L上市 D退市 P暂停上市',
    list_date varchar(32) default '' comment '上市日期',
    delist_date varchar(32) default '' comment '退市日期',
    is_hs varchar(32) default '' comment '是否沪深港通标的，N否 H沪股通 S深股通',
    PRIMARY KEY (ts_code)
)ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

create table if not exists t_ods_hs_base_ipo(
    ts_code varchar(32) default '' comment 'TS代码',
    sub_code varchar(32) default '' comment '申购代码',
    name varchar(32) default '' comment '名称',
    ipo_date varchar(32) default '' comment '上网发行日期',
    issue_date varchar(32) default '' comment '上市日期',
    amount float default 0 comment '发行总量（万股）',
    market_amount float default 0 comment '上网发行总量（万股）',
    price float default 0 comment '发行价格',
    pe float default 0 comment '市盈率',
    limit_amount float default 0 comment '个人申购上限（万股）',
    funds float default 0 comment '募集资金（亿）',
    ballot float default 0 comment '中签率',
    PRIMARY KEY (ts_code)
)ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS t_meta_kechuang_chip(
	ts_code varchar(32) DEFAULT '' COMMENT 'TS代码',
   PRIMARY KEY (ts_code)
)
INSERT into t_meta_kechuang_chip values
('688981.SH'), ('688008.SH'), ('688012.SH'), ('688396.SH'), ('688126.SH'), ('688728.SH'), ('688385.SH'), ('688536.SH'), ('688099.SH'), ('688082.SH'),
('688798.SH'), ('688200.SH'), ('688521.SH'), ('688256.SH'), ('688107.SH'), ('688002.SH'), ('688608.SH'), ('688019.SH'), ('688123.SH'), ('688037.SH'),
('688001.SH'), ('688233.SH'), ('688368.SH'), ('688601.SH'), ('688508.SH'), ('688018.SH'), ('688106.SH'), ('688766.SH'), ('688268.SH'), ('688699.SH'),
('688595.SH'), ('688596.SH'), ('688313.SH'), ('688661.SH'), ('688049.SH'), ('688589.SH'), ('688135.SH'), ('688025.SH'), ('688138.SH'), ('688216.SH'),
('688286.SH'), ('688328.SH');

create table if not exists t_ods_hs_finance_income(
    ts_code varchar(32) default '' comment 'TS代码',
    ann_date varchar(32) default '' comment '公告日期',
    f_ann_date varchar(32) default '' comment '实际公告日期',
    end_date varchar(32) default '' comment '报告期',
    report_type varchar(16) default '' comment '报告类型', 
    comp_type varchar(16) default '' comment '公司类型(1一般工商业2银行3保险4证券)',
    end_type varchar(32) default '' comment '报告期类型',
    basic_eps DECIMAL(19,2) default 0 comment '基本每股收益',
    diluted_eps DECIMAL(19,2) default 0 comment '稀释每股收益',
    total_revenue DECIMAL(19,2) default 0 comment '营业总收入',
    revenue DECIMAL(19,2) default 0 comment '营业收入',
    int_income DECIMAL(19,2) default 0 comment '利息收入',
    prem_earned DECIMAL(19,2) default 0 comment '已赚保费',
    comm_income DECIMAL(19,2) default 0 comment '手续费及佣金收入',
    n_commis_income DECIMAL(19,2) default 0 comment '手续费及佣金净收入',
    n_oth_income DECIMAL(19,2) default 0 comment '其它经营净收益',
    n_oth_b_income DECIMAL(19,2) default 0 comment '加：其它业务净收益',
    prem_income DECIMAL(19,2) default 0 comment '保险业务收入',
    out_prem DECIMAL(19,2) default 0 comment '减：分出保费',
    une_prem_reser DECIMAL(19,2) default 0 comment '提取未到期责任准备金',
    reins_income DECIMAL(19,2) default 0 comment '其中：分保费收入',
    n_sec_tb_income DECIMAL(19,2) default 0 comment '代理买卖证券业务净收入',
    n_sec_uw_income DECIMAL(19,2) default 0 comment '证券承销业务净收入',
    n_asset_mg_income DECIMAL(19,2) default 0 comment '受托客户资产管理业务净收入',
    oth_b_income DECIMAL(19,2) default 0 comment '其它业务收入',
    fv_value_chg_gain DECIMAL(19,2) default 0 comment '加：公允价值变动净收益',
    invest_income DECIMAL(19,2) default 0 comment '加：投资净收益',
    ass_invest_income DECIMAL(19,2) default 0 comment '其中：对联营企业和合营企业的投资收益',
    forex_gain DECIMAL(19,2) default 0 comment '加：汇兑净收益',
    total_cogs DECIMAL(19,2) default 0 comment '营业总成本',
    oper_cost  DECIMAL(19,2) default 0 comment '减：营业成本',
    int_exp DECIMAL(19,2) default 0 comment '减：利息支出',
    comm_exp DECIMAL(19,2) default 0 comment '减：手续费及佣金支出',
    biz_tax_surchg DECIMAL(19,2) default 0 comment '减：营业税金及附加',
    sell_exp DECIMAL(19,2) default 0 comment '减：销售费用',
    admin_exp DECIMAL(19,2) default 0 comment '减：管理费用',
    fin_exp DECIMAL(19,2) default 0 comment '减：财务费用',
    assets_impair_loss DECIMAL(19,2) default 0 comment '减：资产减值损失',
    prem_refund DECIMAL(19,2) default 0 comment '退保金',
    compens_payout DECIMAL(19,2) default 0 comment '赔付总支出',
    reser_insur_liab DECIMAL(19,2) default 0 comment '提取保险责任准备金',
    div_payt DECIMAL(19,2) default 0 comment '保户红利支出',
    reins_exp DECIMAL(19,2) default 0 comment '分保费用',
    oper_exp DECIMAL(19,2) default 0 comment '营业支出',
    compens_payout_refu DECIMAL(19,2) default 0 comment '减：摊回赔付支出',
    insur_reser_refu DECIMAL(19,2) default 0 comment '减：摊回保险责任准备金',
    reins_cost_refund DECIMAL(19,2) default 0 comment '减：摊回分保费用',
    other_bus_cost DECIMAL(19,2) default 0 comment '其它业务成本',
    operate_profit DECIMAL(19,2) default 0 comment '营业利润',
    non_oper_income DECIMAL(19,2) default 0 comment '加：营业外收入',
    non_oper_exp DECIMAL(19,2) default 0 comment '减：营业外支出',
    nca_disploss DECIMAL(19,2) default 0 comment '其中：减：非流动资产处置损失',
    total_profit DECIMAL(19,2) default 0 comment '利润总额',
    income_tax DECIMAL(19,2) default 0 comment '所得税费用',
    n_income DECIMAL(19,2) default 0 comment '净利润（含少数股东损益）',
    n_income_attr_p DECIMAL(19,2) default 0 comment '净利润（不含少数股东损益）',
    minority_gain DECIMAL(19,2) default 0 comment '少数股东损益',
    oth_compr_income DECIMAL(19,2) default 0 comment '其它综合收益',
    t_compr_income DECIMAL(19,2) default 0 comment '综合收益总额',
    compr_inc_attr_p DECIMAL(19,2) default 0 comment '归属于母公司（或股东）的综合收益总额）',
    compr_inc_attr_m_s DECIMAL(19,2) default 0 comment '归属于少数股东的综合收益总额',
    ebit DECIMAL(19,2) default 0 comment '息税前利润',
    ebitda DECIMAL(19,2) default 0 comment '息税折旧摊销前利润',
    insurance_exp DECIMAL(19,2) default 0 comment '保险业务支出',
    undist_profit DECIMAL(19,2) default 0 comment '年初未分配利润',
    distable_profit DECIMAL(19,2) default 0 comment '可分配利润',
    rd_exp DECIMAL(19,2) default 0 comment '研发费用',
    fin_exp_int_exp DECIMAL(19,2) default 0 comment '财务费用：利息费用',
    fin_exp_int_inc DECIMAL(19,2) default 0 comment '财务费用：利息收入',
    transfer_surplus_rese DECIMAL(19,2) default 0 comment '盈余公积转入',
    transfer_housing_imprest DECIMAL(19,2) default 0 comment '住房周转金转入',
    transfer_oth DECIMAL(19,2) default 0 comment '其它转入',
    adj_lossgain DECIMAL(19,2) default 0 comment '调整以前年度损益',
    withdra_legal_surplus DECIMAL(19,2) default 0 comment '提取法定盈余公积',
    withdra_legal_pubfund DECIMAL(19,2) default 0 comment '提取法定公益金',
    withdra_biz_devfund DECIMAL(19,2) default 0 comment '提取企业发展基金',
    withdra_rese_fund DECIMAL(19,2) default 0 comment '提取储备基金',
    withdra_oth_ersu DECIMAL(19,2) default 0 comment '提取任意盈余公积金',
    workers_welfare DECIMAL(19,2) default 0 comment '职工奖金福利',
    distr_profit_shrhder DECIMAL(19,2) default 0 comment '可供股东分配的利润',
    prfshare_payable_dvd DECIMAL(19,2) default 0 comment '应付优先股股利',
    comshare_payable_dvd DECIMAL(19,2) default 0 comment '应付普通股股利',
    capit_comstock_div DECIMAL(19,2) default 0 comment '转作股本的普通股股利',
    net_after_nr_lp_correct DECIMAL(19,2) default 0 comment '扣除非经营损益后的净利润（更正前）',
    oth_income DECIMAL(19,2) default 0 comment '其他收益',
    asset_disp_income DECIMAL(19,2) default 0 comment '资产处置收益',
    continued_net_profit DECIMAL(19,2) default 0 comment '持续经营净利润',
    end_net_profit DECIMAL(19,2) default 0 comment '终止经营净利润',
    credit_impa_loss DECIMAL(19,2) default 0 comment '信用减值损失',
    net_expo_hedging_benefits DECIMAL(19,2) default 0 comment '净敞口套期收益',
    oth_impair_loss_assets DECIMAL(19,2) default 0 comment '其它资产减值损失',
    total_opcost DECIMAL(19,2) default 0 comment '营业总成本2',
    amodcost_fin_assets DECIMAL(19,2) default 0 comment '以摊余成本计量的金融资产终止确认收益',
    update_flag varchar(16) default '' comment '更新标识',
    PRIMARY KEY (ts_code, ann_date, f_ann_date, end_date, update_flag)
)ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

create table if not exists t_ods_hs_finance_balance (
    ts_code varchar(32) default '' comment 'TS股票代码',
    ann_date varchar(32) default '' comment '公告日期',
    f_ann_date varchar(32) default '' comment '实际公告日期',
    end_date varchar(32) default '' comment '报告期',
    report_type varchar(32) default '' comment '报告类型',
    comp_type varchar(32) default '' comment '公司类型(1一般工商业2银行3保险4证券)',
    end_type varchar(32) default '' comment '报告期类型',
    total_share DECIMAL(19,2) default 0 comment '期末总股本',
    cap_rese DECIMAL(19,2) default 0 comment '资本公积金',
    undistr_porfit DECIMAL(19,2) default 0 comment '未分配利润',
    surplus_rese DECIMAL(19,2) default 0 comment '盈余公积金',
    special_rese DECIMAL(19,2) default 0 comment '专项储备',
    money_cap DECIMAL(19,2) default 0 comment '货币基金',
    trad_asset DECIMAL(19,2) default 0 comment '交易性金融资产',
    notes_receiv DECIMAL(19,2) default 0 comment '应收票据',
    accounts_receiv DECIMAL(19,2) default 0 comment '应收账款',
    oth_receiv DECIMAL(19,2) default 0 comment '其它应收款',
    prepayment DECIMAL(19,2) default 0 comment '预付款项',
    div_receiv DECIMAL(19,2) default 0 comment '应收股利',
    int_receiv DECIMAL(19,2) default 0 comment '应收利息',
    inventories DECIMAL(19,2) default 0 comment '存货',
    amor_exp DECIMAL(19,2) default 0 comment '长期待摊费用',
    nca_within_1y DECIMAL(19,2) default 0 comment '一年内到期的非流动资产',
    sett_rsrv DECIMAL(19,2) default 0 comment '结算备付金',
    loanto_oth_bank_fi DECIMAL(19,2) default 0 comment '拆出资金',
    premium_receiv DECIMAL(19,2) default 0 comment '应收保费',
    reinsur_receiv DECIMAL(19,2) default 0 comment '应收分保账款',
    reinsur_res_receiv DECIMAL(19,2) default 0 comment '应收分保合同准备金',
    pur_resale_fa DECIMAL(19,2) default 0 comment '买入返售金融资产',
    oth_cur_assets DECIMAL(19,2) default 0 comment '其它流动资产',
    total_cur_assets DECIMAL(19,2) default 0 comment '流动资产合计',
    fa_avail_for_sale DECIMAL(19,2) default 0 comment '可供出售金融资产',
    htm_invest DECIMAL(19,2) default 0 comment '持有至到期投资',
    lt_eqt_invest DECIMAL(19,2) default 0 comment '长期股权投资',
    invest_real_estate DECIMAL(19,2) default 0 comment '投资性房地产',
    time_deposits DECIMAL(19,2) default 0 comment '定期存款',
    oth_assets DECIMAL(19,2) default 0 comment '其它资产',
    lt_rec DECIMAL(19,2) default 0 comment '长期应收款',
    fix_assets DECIMAL(19,2) default 0 comment '固定资产',
    cip DECIMAL(19,2) default 0 comment '在建工程',
    const_materials DECIMAL(19,2) default 0 comment '工程物资',
    fixed_assets_disp DECIMAL(19,2) default 0 comment '固定资产清理',
    produc_bio_assets DECIMAL(19,2) default 0 comment '生产性生物资产',
    oil_and_gas_assets DECIMAL(19,2) default 0 comment '油气资产',
    intan_assets DECIMAL(19,2) default 0 comment '无形资产',
    r_and_d DECIMAL(19,2) default 0 comment '研发支出',
    goodwill DECIMAL(19,2) default 0 comment '商誉',
    lt_amor_exp DECIMAL(19,2) default 0 comment '长期待摊费用',
    defer_tax_assets DECIMAL(19,2) default 0 comment '递延所得税资产',
    decr_in_disbur DECIMAL(19,2) default 0 comment '发放贷款及垫款',
    oth_nca DECIMAL(19,2) default 0 comment '其他非流动资产',
    total_nca DECIMAL(19,2) default 0 comment '非流动资产合计',
    cash_reser_cb DECIMAL(19,2) default 0 comment '现金及存放中央银行款项',
    depos_in_oth_bfi DECIMAL(19,2) default 0 comment '存放同业和其它金融机构款项',
    prec_metals DECIMAL(19,2) default 0 comment '贵金属',
    deriv_assets DECIMAL(19,2) default 0 comment '衍生金融资产',
    rr_reins_une_prem DECIMAL(19,2) default 0 comment '应收分保未到期责任准备金',
    rr_reins_outstd_cla DECIMAL(19,2) default 0 comment '应收分保未决赔款准备金',
    rr_reins_lins_liab DECIMAL(19,2) default 0 comment '应收分保寿险责任准备金',
    rr_reins_lthins_liab DECIMAL(19,2) default 0 comment '应收分保长期健康险责任准备金',
    refund_depos DECIMAL(19,2) default 0 comment '存出保证金',
    ph_pledge_loans DECIMAL(19,2) default 0 comment '保户质押贷款',
    refund_cap_depos DECIMAL(19,2) default 0 comment '存出资本保证金',
    indep_acct_assets DECIMAL(19,2) default 0 comment '独立账户资产',
    client_depos DECIMAL(19,2) default 0 comment '其中：客户资金存款',
    client_prov DECIMAL(19,2) default 0 comment '其中：客户备付金',
    transac_seat_fee DECIMAL(19,2) default 0 comment '其中：交易席位费',
    invest_as_receiv DECIMAL(19,2) default 0 comment '营收款项类投资',
    total_assets DECIMAL(19,2) default 0 comment '资产总计',
    lt_borr DECIMAL(19,2) default 0 comment '长期借款',
    st_borr DECIMAL(19,2) default 0 comment '短期借款',
    cb_borr DECIMAL(19,2) default 0 comment '向中央银行借款',
    depos_ib_deposits DECIMAL(19,2) default 0 comment '吸收存款及同业存放',
    loan_oth_bank DECIMAL(19,2) default 0 comment '拆入资金',
    trading_fl DECIMAL(19,2) default 0 comment '交易性金融负债',
    notes_payable DECIMAL(19,2) default 0 comment '应付票据',
    acct_payable DECIMAL(19,2) default 0 comment '应付账款',
    adv_receipts DECIMAL(19,2) default 0 comment '预收款项',
    sold_for_repur_fa DECIMAL(19,2) default 0 comment '卖出回购金融资产款',
    comm_payable DECIMAL(19,2) default 0 comment '应付手续费及佣金',
    payroll_payable DECIMAL(19,2) default 0 comment '应付职工薪酬',
    taxes_payable DECIMAL(19,2) default 0 comment '应缴税费',
    int_payable DECIMAL(19,2) default 0 comment '应付利息',
    div_payable DECIMAL(19,2) default 0 comment '应付股利',
    oth_payable DECIMAL(19,2) default 0 comment '其它应付款',
    acc_exp DECIMAL(19,2) default 0 comment '预提费用',
    deferred_inc DECIMAL(19,2) default 0 comment '递延收益',
    st_bonds_payable DECIMAL(19,2) default 0 comment '应付短期债券',
    payable_to_reinsurer DECIMAL(19,2) default 0 comment '应付分保账款',
    rsrv_insur_cont DECIMAL(19,2) default 0 comment '保险合同准备金',
    acting_trading_sec DECIMAL(19,2) default 0 comment '代理买卖证券款',
    acting_uw_sec DECIMAL(19,2) default 0 comment '代理承销证券款',
    non_cur_liab_due_1y DECIMAL(19,2) default 0 comment '一年内到期的非流动负债',
    oth_cur_liab DECIMAL(19,2) default 0 comment '其它流动负债',
    total_cur_liab DECIMAL(19,2) default 0 comment '流动负债合计',
    bond_payable DECIMAL(19,2) default 0 comment '应付债券',
    lt_payable DECIMAL(19,2) default 0 comment '长期应付款',
    specific_payables DECIMAL(19,2) default 0 comment '专项应付款',
    estimated_liab DECIMAL(19,2) default 0 comment '预计负债',
    defer_tax_liab DECIMAL(19,2) default 0 comment '递延所得税负债',
    defer_inc_non_cur_liab DECIMAL(19,2) default 0 comment '递延收益-非流动负债',
    oth_ncl DECIMAL(19,2) default 0 comment '其它非流动负债',
    total_ncl DECIMAL(19,2) default 0 comment '非流动负债合计',
    depos_oth_bfi DECIMAL(19,2) default 0 comment '同业和其它金融机构存放款项',
    deriv_liab DECIMAL(19,2) default 0 comment '衍生金融负债',
    depos DECIMAL(19,2) default 0 comment '吸收存款',
    agency_bus_liab DECIMAL(19,2) default 0 comment '代理业务负债',
    oth_liab DECIMAL(19,2) default 0 comment '其它负债',
    prem_receiv_adva DECIMAL(19,2) default 0 comment '预收保费',
    depos_received DECIMAL(19,2) default 0 comment '存入保证金',
    ph_invest DECIMAL(19,2) default 0 comment '保户储金及投资款',
    reser_une_prem DECIMAL(19,2) default 0 comment '未到期责任准备金',
    reser_outstd_claims DECIMAL(19,2) default 0 comment '未决赔款准备金',
    reser_lins_liab DECIMAL(19,2) default 0 comment '寿险责任准备金',
    reser_lthins_liab DECIMAL(19,2) default 0 comment '长期健康险责任准备金',
    indept_acc_liab DECIMAL(19,2) default 0 comment '独立账户负债',
    pledge_borr DECIMAL(19,2) default 0 comment '其中：质押借款',
    indem_payable DECIMAL(19,2) default 0 comment '应付赔付款',
    policy_div_payable DECIMAL(19,2) default 0 comment '应付保单红利',
    total_liab DECIMAL(19,2) default 0 comment '负债合计',
    treasury_share DECIMAL(19,2) default 0 comment '减：库存股',
    ordin_risk_reser DECIMAL(19,2) default 0 comment '一般风险准备',
    forex_differ DECIMAL(19,2) default 0 comment '外币报表折算差额',
    invest_loss_unconf DECIMAL(19,2) default 0 comment '未确认的投资损失',
    minority_int DECIMAL(19,2) default 0 comment '少数股东权益',
    total_hldr_eqy_exc_min_int DECIMAL(19,2) default 0 comment '股东权益合计（不含少数股东权益）',
    total_hldr_eqy_inc_min_int DECIMAL(19,2) default 0 comment '股东权益合计（含少数股东权益）',
    total_liab_hldr_eqy DECIMAL(19,2) default 0 comment '负债及股东权益总计',
    lt_payroll_payable DECIMAL(19,2) default 0 comment '长期应付职工薪酬',
    oth_comp_income DECIMAL(19,2) default 0 comment '其它综合收益',
    oth_eqt_tools DECIMAL(19,2) default 0 comment '其它权益工具',
    oth_eqt_tools_p_shr DECIMAL(19,2) default 0 comment '其它权益工具（优先股）',
    lending_funds DECIMAL(19,2) default 0 comment '融出资金',
    acc_receivable DECIMAL(19,2) default 0 comment '应收款项',
    st_fin_payable DECIMAL(19,2) default 0 comment '应付短期融资款',
    payables DECIMAL(19,2) default 0 comment '应付款项',
    hfs_assets DECIMAL(19,2) default 0 comment '持有代售的资产',
    hfs_sales DECIMAL(19,2) default 0 comment '持有代售的负债',
    cost_fin_assets DECIMAL(19,2) default 0 comment '以摊余成本计量的金融资产',
    fair_value_fin_assets DECIMAL(19,2) default 0 comment '以公允价值计量且其变动计入其他综合收益的金融资产',
    contract_assets DECIMAL(19,2) default 0 comment '合同资产',
    contract_liab DECIMAL(19,2) default 0 comment '合同负债',
    accounts_receiv_bill DECIMAL(19,2) default 0 comment '应收票据及应收账款',
    accounts_pay DECIMAL(19,2) default 0 comment '应付票据及应付账款',
    oth_rcv_total DECIMAL(19,2) default 0 comment '其它应收款（合计）（元）',
    fix_assets_total DECIMAL(19,2) default 0 comment '固定资产（合计）（元）',
    cip_total DECIMAL(19,2) default 0 comment '在建工程（合计）（元）',
    oth_pay_total DECIMAL(19,2) default 0 comment '其它应付款（合计）（元）',
    long_pay_total DECIMAL(19,2) default 0 comment '长期应付款（合计）（元）',
    debt_invest DECIMAL(19,2) default 0 comment '债券投资（元）',
    oth_debt_invest DECIMAL(19,2) default 0 comment '其它债券投资（元）',
    oth_eq_invest DECIMAL(19,2) default 0 comment '其它权益工具投资（元）',
    oth_illiq_fin_assets DECIMAL(19,2) default 0 comment '其它非流动金融资产（元）',
    oth_eq_ppbond DECIMAL(19,2) default 0 comment '其它权益工具：永续债（元）',
    receiv_financing DECIMAL(19,2) default 0 comment '应收款项融资',
    use_right_assets DECIMAL(19,2) default 0 comment '使用权资产',
    lease_liab DECIMAL(19,2) default 0 comment '租赁负债',
    update_flag varchar(32) default '' comment '更新标志',
    PRIMARY KEY (ts_code, ann_date, f_ann_date, end_date, update_flag)
)ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;


create table if not exists t_ods_hs_finance_cashflow (
    ts_code varchar(32) default '' comment 'TS股票代码',
    ann_date varchar(32) default '' comment '公告日期',
    f_ann_date varchar(32) default '' comment '实际公告日期',
    end_date varchar(32) default '' comment '报告期',
    report_type varchar(32) default '' comment '报告类型',
    comp_type varchar(32) default '' comment '公司类型(1一般工商业2银行3保险4证券)',
    end_type varchar(32) default '' comment '报告期类型',
    net_profit DECIMAL(19,2) default 0 comment '净利润',
    finan_exp DECIMAL(19,2) default 0 comment '财务费用',
    c_fr_sale_sg DECIMAL(19,2) default 0 comment '销售商品、提供劳务收到的现金',
    recp_tax_rends DECIMAL(19,2) default 0 comment '收到的税费返还',
    n_depos_incr_fi DECIMAL(19,2) default 0 comment '客户存款和同业存放款项净增加额',
    n_incr_loans_cb DECIMAL(19,2) default 0 comment '向中央银行借款净增加额',
    n_inc_borr_oth_fi DECIMAL(19,2) default 0 comment '向其它金融机构拆入资金净增加额',
    prem_fr_orig_contr DECIMAL(19,2) default 0 comment '收到原保险合同保费取得的现金',
    n_incr_insured_dep DECIMAL(19,2) default 0 comment '保户储金净增加额',
    n_reinsur_prem DECIMAL(19,2) default 0 comment '收到再保业务现金净额',
    n_incr_disp_tfa DECIMAL(19,2) default 0 comment '处置交易性金融资产净增加额',
    ifc_cash_incr DECIMAL(19,2) default 0 comment '收取利息和手续费净增加额',
    n_incr_disp_faas DECIMAL(19,2) default 0 comment '处置可供出售金融资产净增加额',
    n_incr_loans_oth_bank DECIMAL(19,2) default 0 comment '拆入资金净增加额',
    n_cap_incr_repur DECIMAL(19,2) default 0 comment '回购业务资金净增加额',
    c_fr_oth_operate_a DECIMAL(19,2) default 0 comment '收到其他与经营活动有关的现金',
    c_inf_fr_operate_a DECIMAL(19,2) default 0 comment '经营活动现金流入小计',
    c_paid_goods_s DECIMAL(19,2) default 0 comment '购买商品、接受劳务支付的现金',
    c_paid_to_for_empl DECIMAL(19,2) default 0 comment '支付给职工以及为职工支付的现金',
    c_paid_for_taxes DECIMAL(19,2) default 0 comment '支付的各项税费',
    n_incr_clt_loan_adv DECIMAL(19,2) default 0 comment '客户贷款及垫款净增加额',
    n_incr_dep_cbob DECIMAL(19,2) default 0 comment '存放央行和同业款项净增加额',
    c_pay_claims_orig_inco DECIMAL(19,2) default 0 comment '支付原保险合同赔付款项的现金',
    pay_handling_chrg DECIMAL(19,2) default 0 comment '支付手续费的现金',
    pay_comm_insur_plcy DECIMAL(19,2) default 0 comment '支付保单红利的现金',
    oth_cash_pay_oper_act DECIMAL(19,2) default 0 comment '支付其他与经营活动有关的现金',
    st_cash_out_act DECIMAL(19,2) default 0 comment '经营活动现金流出小计',
    n_cashflow_act DECIMAL(19,2) default 0 comment '经营活动产生的现金流量净额',
    oth_recp_ral_inv_act DECIMAL(19,2) default 0 comment '收到其它与投资活动有关的现金',
    c_disp_withdrwl_invest DECIMAL(19,2) default 0 comment '收回投资收到的现金',
    c_recp_return_invest DECIMAL(19,2) default 0 comment '取得投资收益收到的现金',
    n_recp_disp_fiolta DECIMAL(19,2) default 0 comment '处置固定资产、无形资产和其他长期资产收回的现金净额',
    n_recp_disp_sobu DECIMAL(19,2) default 0 comment '处置子公司及其他营业单位收到的现金净额',
    stot_inflows_inv_act DECIMAL(19,2) default 0 comment '投资活动现金流入小计',
    c_pay_acq_const_fiolta DECIMAL(19,2) default 0 comment '购建固定资产、无形资产和其他长期资产支付的现金',
    c_paid_invest DECIMAL(19,2) default 0 comment '投资支付的现金',
    n_disp_subs_oth_biz DECIMAL(19,2) default 0 comment '取得子公司及其他营业单位支付的现金净额',
    oth_pay_ral_inv_act DECIMAL(19,2) default 0 comment '支付其他与投资活动有关的现金',
    n_incr_pledge_loan DECIMAL(19,2) default 0 comment '质押贷款净增加额',
    stot_out_inv_act DECIMAL(19,2) default 0 comment '投资活动现金流出小计',
    n_cashflow_inv_act DECIMAL(19,2) default 0 comment '投资活动产生的现金流量净额',
    c_recp_borrow DECIMAL(19,2) default 0 comment '取得借款收到的现金',
    proc_issue_bonds DECIMAL(19,2) default 0 comment '发行债券收到的现金',
    oth_cash_recp_ral_fnc_act DECIMAL(19,2) default 0 comment '收到其他与筹资活动有关的现金',
    stot_cash_in_fnc_act DECIMAL(19,2) default 0 comment '筹资活动现金流入小计',
    free_cashflow DECIMAL(19,2) default 0 comment '企业自由现金流量',
    c_prepay_amt_borr DECIMAL(19,2) default 0 comment '偿还债务支付的现金',
    c_pay_dist_dpcp_int_exp DECIMAL(19,2) default 0 comment '分配股利、利润或偿付利息支付的现金',
    incl_dvd_profit_paid_sc_ms DECIMAL(19,2) default 0 comment '其中:子公司支付给少数股东的股利、利润',
    oth_cashpay_ral_fnc_act DECIMAL(19,2) default 0 comment '支付其他与筹资活动有关的现金',
    stot_cashout_fnc_act DECIMAL(19,2) default 0 comment '筹资活动现金流出小计',
    n_cash_flows_fnc_act DECIMAL(19,2) default 0 comment '筹资活动产生的现金流量净额',
    eff_fx_flu_cash DECIMAL(19,2) default 0 comment '汇率变动对现金的影响',
    n_incr_cash_cash_equ DECIMAL(19,2) default 0 comment '现金及现金等价物净增加额',
    c_cash_equ_beg_period DECIMAL(19,2) default 0 comment '期初现金及现金等价物余额',
    c_cash_equ_end_period DECIMAL(19,2) default 0 comment '期末现金及现金等价物余额',
    c_recp_cap_contrib DECIMAL(19,2) default 0 comment '吸收投资收到的现金',
    incl_cash_rec_saims DECIMAL(19,2) default 0 comment '其中:子公司吸收少数股东投资收到的现金',
    uncon_invest_loss DECIMAL(19,2) default 0 comment '未确认投资损失',
    prov_depr_assets DECIMAL(19,2) default 0 comment '加:资产减值准备',
    depr_fa_coga_dpba DECIMAL(19,2) default 0 comment '固定资产折旧、油气资产折耗、生产性生物资产折旧',
    amort_intang_assets DECIMAL(19,2) default 0 comment '无形资产摊销',
    lt_amort_deferred_exp DECIMAL(19,2) default 0 comment '长期待摊费用摊销',
    decr_deferred_exp DECIMAL(19,2) default 0 comment '待摊费用减少',
    incr_acc_exp DECIMAL(19,2) default 0 comment '预提费用增加',
    loss_disp_fiolta DECIMAL(19,2) default 0 comment '处置固定、无形资产和其他长期资产的损失',
    loss_scr_fa DECIMAL(19,2) default 0 comment '固定资产报废损失',
    loss_fv_chg DECIMAL(19,2) default 0 comment '公允价值变动损失',
    invest_loss DECIMAL(19,2) default 0 comment '投资损失',
    decr_def_inc_tax_assets DECIMAL(19,2) default 0 comment '递延所得税资产减少',
    incr_def_inc_tax_liab DECIMAL(19,2) default 0 comment '递延所得税负债增加',
    decr_inventories DECIMAL(19,2) default 0 comment '存货的减少',
    decr_oper_payable DECIMAL(19,2) default 0 comment '经营性应收项目的减少',
    incr_oper_payable DECIMAL(19,2) default 0 comment '经营性应付项目的增加',
    others DECIMAL(19,2) default 0 comment '其他',
    im_net_cashflow_oper_act DECIMAL(19,2) default 0 comment '经营活动产生的现金流量净额(间接法)',
    conv_debt_into_cap DECIMAL(19,2) default 0 comment '债务转为资本',
    conv_copbonds_due_within_1y DECIMAL(19,2) default 0 comment '一年内到期的可转换公司债券',
    fa_fnc_leases DECIMAL(19,2) default 0 comment '融资租入固定资产',
    im_n_incr_cash_equ DECIMAL(19,2) default 0 comment '现金及现金等价物净增加额(间接法)',
    net_dism_capital_add DECIMAL(19,2) default 0 comment '拆出资金净增加额',
    net_cash_rece_sec DECIMAL(19,2) default 0 comment '代理买卖证券收到的现金净额(元)',
    credit_impa_loss DECIMAL(19,2) default 0 comment '信用减值损失',
    use_right_asset_dep DECIMAL(19,2) default 0 comment '使用权资产折旧',
    oth_loss_asset DECIMAL(19,2) default 0 comment '其他资产减值损失',
    end_bal_cash DECIMAL(19,2) default 0 comment '现金的期末余额',
    beg_bal_cash DECIMAL(19,2) default 0 comment '减:现金的期初余额',
    end_bal_cash_equ DECIMAL(19,2) default 0 comment '加:现金等价物的期末余额',
    beg_bal_cash_equ DECIMAL(19,2) default 0 comment '减:现金等价物的期初余额',
    update_flag varchar(32) default '' comment '更新标志',
    PRIMARY KEY (ts_code, ann_date, f_ann_date, end_date, update_flag)
)ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;




create table if not exists t_ods_hs_finance_indicator (
    ts_code varchar(32) default '' comment 'TS股票代码',
    ann_date varchar(32) default '' comment '公告日期',
    end_date varchar(32) default '' comment '报告期',
    eps DECIMAL(19,4) default 0 comment '基本每股收益',
    dt_eps DECIMAL(19,4) default 0 comment '稀释每股收益',
    total_revenue_ps DECIMAL(19,4) default 0 comment '每股营业总收入',
    revenue_ps DECIMAL(19,4) default 0 comment '每股营业收入',
    capital_rese_ps DECIMAL(19,4) default 0 comment '每股资本公积',
    surplus_rese_ps DECIMAL(19,4) default 0 comment '每股盈余公积',
    undist_profit_ps DECIMAL(19,4) default 0 comment '每股未分配利润',
    extra_item DECIMAL(19,4) default 0 comment '非经常性损益',
    profit_dedt DECIMAL(19,4) default 0 comment '扣除非经常性损益后的净利润',
    gross_margin DECIMAL(19,4) default 0 comment '毛利',
    current_ratio DECIMAL(19,4) default 0 comment '流动比率',
    quick_ratio DECIMAL(19,4) default 0 comment '速动比率',
    cash_ratio DECIMAL(19,4) default 0 comment '保守速动比率',
    invturn_days DECIMAL(19,4) default 0 comment '存货周转天数',
    arturn_days DECIMAL(19,4) default 0 comment '应收账款周转天数',
    inv_turn DECIMAL(19,4) default 0 comment '存货周转率',
    ar_turn DECIMAL(19,4) default 0 comment '应收账款周转率',
    ca_turn DECIMAL(19,4) default 0 comment '流动资产周转率',
    fa_turn DECIMAL(19,4) default 0 comment '固定资产周转率',
    assets_turn DECIMAL(19,4) default 0 comment '总资产周转率',
    op_income DECIMAL(19,4) default 0 comment '经营活动净收益',
    valuechange_income DECIMAL(19,4) default 0 comment '价值变动净收益',
    interst_income DECIMAL(19,4) default 0 comment '利息费用',
    daa DECIMAL(19,4) default 0 comment '折旧与摊销',
    ebit DECIMAL(19,4) default 0 comment '息税前利润',
    ebitda DECIMAL(19,4) default 0 comment '息税折旧摊销前利润',
    fcff DECIMAL(19,4) default 0 comment '企业自由现金流量',
    fcfe DECIMAL(19,4) default 0 comment '股权自由现金流量',
    current_exint DECIMAL(19,4) default 0 comment '无息流动负债',
    noncurrent_exint DECIMAL(19,4) default 0 comment '无息非流动负债',
    interestdebt DECIMAL(19,4) default 0 comment '带息债务',
    netdebt DECIMAL(19,4) default 0 comment '净债务',
    tangible_asset DECIMAL(19,4) default 0 comment '有形资产',
    working_capital DECIMAL(19,4) default 0 comment '营运资金',
    networking_capital DECIMAL(19,4) default 0 comment '营运流动资本',
    invest_capital DECIMAL(19,4) default 0 comment '全部投入资本',
    retained_earnings DECIMAL(19,4) default 0 comment '留存收益',
    diluted2_eps DECIMAL(19,4) default 0 comment '期末摊薄每股收益',
    bps DECIMAL(19,4) default 0 comment '每股净资产',
    ocfps DECIMAL(19,4) default 0 comment '每股经营活动产生的现金流量净额',
    retainedps DECIMAL(19,4) default 0 comment '每股留存收益',
    cfps DECIMAL(19,4) default 0 comment '每股现金流量净额',
    ebit_ps DECIMAL(19,4) default 0 comment '每股息税前利润',
    fcff_ps DECIMAL(19,4) default 0 comment '每股企业自由现金流量',
    fcfe_ps DECIMAL(19,4) default 0 comment '每股股东自由现金流量',
    netprofit_margin DECIMAL(19,4) default 0 comment '销售净利率',
    grossprofit_margin DECIMAL(19,4) default 0 comment '销售毛利率',
    cogs_of_sales DECIMAL(19,4) default 0 comment '销售成本率',
    expense_of_sales DECIMAL(19,4) default 0 comment '销售期间费用率',
    profit_to_gr DECIMAL(19,4) default 0 comment '净利润/营业总收入',
    saleexp_to_gr DECIMAL(19,4) default 0 comment '销售费用/营业总收入',
    adminexp_of_gr DECIMAL(19,4) default 0 comment '管理费用/营业总收入',
    finaexp_of_gr DECIMAL(19,4) default 0 comment '财务费用/营业总收入',
    impai_ttm DECIMAL(19,4) default 0 comment '资产减值损失/营业总收入',
    gc_of_gr DECIMAL(19,4) default 0 comment '营业总成本/营业总收入',
    op_of_gr DECIMAL(19,4) default 0 comment '营业利润/营业总收入',
    ebit_of_gr DECIMAL(19,4) default 0 comment '息税前利润/营业总收入',
    roe DECIMAL(19,4) default 0 comment '净资产收益率',
    roe_waa DECIMAL(19,4) default 0 comment '加权平均净资产收益率',
    roe_dt DECIMAL(19,4) default 0 comment '净资产收益率(扣除非经常损益)',
    roa DECIMAL(19,4) default 0 comment '总资产报酬率',
    npta DECIMAL(19,4) default 0 comment '总资产净利润',
    roic DECIMAL(19,4) default 0 comment '投入资本回报率',
    roe_yearly DECIMAL(19,4) default 0 comment '年化净资产收益率',
    roa2_yearly DECIMAL(19,4) default 0 comment '年化总资产报酬率',
    roe_avg DECIMAL(19,4) default 0 comment '平均净资产收益率(增发条件)',
    opincome_of_ebt DECIMAL(19,4) default 0 comment '经营活动净收益/利润总额',
    investincome_of_ebt DECIMAL(19,4) default 0 comment '价值变动净收益/利润总额',
    n_op_profit_of_ebt DECIMAL(19,4) default 0 comment '营业外收支净额/利润总额',
    tax_to_ebt DECIMAL(19,4) default 0 comment '所得税/利润总额',
    dtprofit_to_profit DECIMAL(19,4) default 0 comment '扣除非经常损益后的净利润/净利润',
    salescash_to_or DECIMAL(19,4) default 0 comment '销售商品提供劳务收到的现金/营业收入',
    ocf_to_or DECIMAL(19,4) default 0 comment '经营活动产生的现金流量净额/营业收入',
    ocf_to_opincome DECIMAL(19,4) default 0 comment '经营活动产生的现金流量净额/经营活动净收益',
    capitalized_to_da DECIMAL(19,4) default 0 comment '资本支出/折旧和摊销',
    debt_to_assets DECIMAL(19,4) default 0 comment '资产负债率',
    assets_to_eqt DECIMAL(19,4) default 0 comment '权益乘数',
    dp_assets_to_eqt DECIMAL(19,4) default 0 comment '权益乘数(杜邦分析)',
    ca_to_assets DECIMAL(19,4) default 0 comment '流动资产/总资产',
    nca_to_assets DECIMAL(19,4) default 0 comment '非流动资产/总资产',
    tbassets_to_totalassets DECIMAL(19,4) default 0 comment '有形资产/总资产',
    int_to_talcap DECIMAL(19,4) default 0 comment '带息债务/全部投入资本',
    eqt_to_talcapital DECIMAL(19,4) default 0 comment '归属于母公司的股东权益/全部投入资本',
    currentdebt_to_debt DECIMAL(19,4) default 0 comment '流动负债/负债合计',
    longdeb_to_debt DECIMAL(19,4) default 0 comment '非流动负债/负债合计',
    ocf_to_shortdebt DECIMAL(19,4) default 0 comment '经营活动产生的现金流量净额/流动负债',
    debt_to_eqt DECIMAL(19,4) default 0 comment '产权比率',
    eqt_to_debt DECIMAL(19,4) default 0 comment '归属于母公司的股东权益/负债合计',
    eqt_to_interestdebt DECIMAL(19,4) default 0 comment '归属于母公司的股东权益/带息债务',
    tangibleasset_to_debt DECIMAL(19,4) default 0 comment '有形资产/负债合计',
    tangasset_to_intdebt DECIMAL(19,4) default 0 comment '有形资产/带息债务',
    tangibleasset_to_netdebt DECIMAL(19,4) default 0 comment '有形资产/净债务',
    ocf_to_debt DECIMAL(19,4) default 0 comment '经营活动产生的现金流量净额/负债合计',
    ocf_to_interestdebt DECIMAL(19,4) default 0 comment '经营活动产生的现金流量净额/带息债务',
    ocf_to_netdebt DECIMAL(19,4) default 0 comment '经营活动产生的现金流量净额/净债务',
    ebit_to_interest DECIMAL(19,4) default 0 comment '已获利息倍数(EBIT/利息费用)',
    longdebt_to_workingcapital DECIMAL(19,4) default 0 comment '长期债务与营运资金比率',
    ebitda_to_debt DECIMAL(19,4) default 0 comment '息税折旧摊销前利润/负债合计',
    turn_days DECIMAL(19,4) default 0 comment '营业周期',
    roa_yearly DECIMAL(19,4) default 0 comment '年化总资产净利率',
    roa_dp DECIMAL(19,4) default 0 comment '总资产净利率(杜邦分析)',
    fixed_assets DECIMAL(19,4) default 0 comment '固定资产合计',
    profit_prefin_exp DECIMAL(19,4) default 0 comment '	扣除财务费用前营业利润',
    non_op_profit DECIMAL(19,4) default 0 comment '非营业利润',
    op_to_ebt DECIMAL(19,4) default 0 comment '营业利润／利润总额',
    nop_to_ebt DECIMAL(19,4) default 0 comment '非营业利润／利润总额',
    ocf_to_profit DECIMAL(19,4) default 0 comment '经营活动产生的现金流量净额／营业利润',
    cash_to_liqdebt DECIMAL(19,4) default 0 comment '货币资金／流动负债',
    cash_to_liqdebt_withinterest DECIMAL(19,4) default 0 comment '货币资金／带息流动负债',
    op_to_liqdebt DECIMAL(19,4) default 0 comment '营业利润／流动负债',
    op_to_debt DECIMAL(19,4) default 0 comment '营业利润／负债合计',
    roic_yearly DECIMAL(19,4) default 0 comment '年化投入资本回报率',
    total_fa_trun DECIMAL(19,4) default 0 comment '固定资产合计周转率',
    profit_to_op DECIMAL(19,4) default 0 comment '利润总额／营业收入',
    q_opincome DECIMAL(19,4) default 0 comment '经营活动单季度净收益',
    q_investincome DECIMAL(19,4) default 0 comment '价值变动单季度净收益',
    q_dtprofit DECIMAL(19,4) default 0 comment '扣除非经常损益后的单季度净利润',
    q_eps DECIMAL(19,4) default 0 comment '每股收益(单季度)',
    q_netprofit_margin DECIMAL(19,4) default 0 comment '销售净利率(单季度)',
    q_gsprofit_margin DECIMAL(19,4) default 0 comment '销售毛利率(单季度)',
    q_exp_to_sales DECIMAL(19,4) default 0 comment '销售期间费用率(单季度)',
    q_profit_to_gr DECIMAL(19,4) default 0 comment '净利润／营业总收入(单季度)',
    q_saleexp_to_gr DECIMAL(19,4) default 0 comment '销售费用／营业总收入 (单季度)',
    q_adminexp_to_gr DECIMAL(19,4) default 0 comment '管理费用／营业总收入 (单季度)',
    q_finaexp_to_gr DECIMAL(19,4) default 0 comment '财务费用／营业总收入 (单季度)',
    q_impair_to_gr_ttm DECIMAL(19,4) default 0 comment '资产减值损失／营业总收入(单季度)',
    q_gc_to_gr DECIMAL(19,4) default 0 comment '营业总成本／营业总收入 (单季度)',
    q_op_to_gr DECIMAL(19,4) default 0 comment '营业利润／营业总收入(单季度)',
    q_roe DECIMAL(19,4) default 0 comment '净资产收益率(单季度)',
    q_dt_roe DECIMAL(19,4) default 0 comment '净资产单季度收益率(扣除非经常损益)',
    q_npta DECIMAL(19,4) default 0 comment '总资产净利润(单季度)',
    q_opincome_to_ebt DECIMAL(19,4) default 0 comment '经营活动净收益／利润总额(单季度)',
    q_investincome_to_ebt DECIMAL(19,4) default 0 comment '价值变动净收益／利润总额(单季度)',
    q_dtprofit_to_profit DECIMAL(19,4) default 0 comment '扣除非经常损益后的净利润／净利润(单季度)',
    q_salescash_to_or DECIMAL(19,4) default 0 comment '销售商品提供劳务收到的现金／营业收入(单季度)',
    q_ocf_to_sales DECIMAL(19,4) default 0 comment '经营活动产生的现金流量净额／营业收入(单季度)',
    q_ocf_to_or DECIMAL(19,4) default 0 comment '经营活动产生的现金流量净额／经营活动净收益(单季度)',
    basic_eps_yoy DECIMAL(19,4) default 0 comment '基本每股收益同比增长率(%)',
    dt_eps_yoy DECIMAL(19,4) default 0 comment '稀释每股收益同比增长率(%)',
    cfps_yoy DECIMAL(19,4) default 0 comment '	每股经营活动产生的现金流量净额同比增长率(%)',
    op_yoy DECIMAL(19,4) default 0 comment '营业利润同比增长率(%)',
    ebt_yoy DECIMAL(19,4) default 0 comment '利润总额同比增长率(%)',
    netprofit_yoy DECIMAL(19,4) default 0 comment '归属母公司股东的净利润同比增长率(%)',
    dt_netprofit_yoy DECIMAL(19,4) default 0 comment '归属母公司股东的净利润-扣除非经常损益同比增长率(%)',
    ocf_yoy DECIMAL(19,4) default 0 comment '经营活动产生的现金流量净额同比增长率(%)',
    roe_yoy DECIMAL(19,4) default 0 comment '净资产收益率(摊薄)同比增长率(%)',
    bps_yoy DECIMAL(19,4) default 0 comment '每股净资产相对年初增长率(%)',
    assets_yoy DECIMAL(19,4) default 0 comment '资产总计相对年初增长率(%)',
    eqt_yoy DECIMAL(19,4) default 0 comment '归属母公司的股东权益相对年初增长率(%)',
    tr_yoy DECIMAL(19,4) default 0 comment '营业总收入同比增长率(%)',
    or_yoy DECIMAL(19,4) default 0 comment '营业收入同比增长率(%)',
    q_gr_yoy DECIMAL(19,4) default 0 comment '营业总收入同比增长率(%)(单季度)',
    q_gr_qoq DECIMAL(19,4) default 0 comment '营业总收入环比增长率(%)(单季度)',
    q_sales_yoy DECIMAL(19,4) default 0 comment '营业收入同比增长率(%)(单季度)',
    q_sales_qoq DECIMAL(19,4) default 0 comment '营业收入环比增长率(%)(单季度)',
    q_op_yoy DECIMAL(19,4) default 0 comment '营业利润同比增长率(%)(单季度)',
    q_op_qoq DECIMAL(19,4) default 0 comment '营业利润环比增长率(%)(单季度)',
    q_profit_yoy DECIMAL(19,4) default 0 comment '净利润同比增长率(%)(单季度)',
    q_profit_qoq DECIMAL(19,4) default 0 comment '净利润环比增长率(%)(单季度)',
    q_netprofit_yoy DECIMAL(19,4) default 0 comment '归属母公司股东的净利润同比增长率(%)(单季度)',
    q_netprofit_qoq DECIMAL(19,4) default 0 comment '归属母公司股东的净利润环比增长率(%)(单季度)',
    equity_yoy DECIMAL(19,4) default 0 comment '净资产同比增长率',
    rd_exp DECIMAL(19,4) default 0 comment '研发费用',
    update_flag varchar(16) default ''  comment '更新标识',    
    PRIMARY KEY (ts_code, ann_date, end_date, update_flag)
)ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;


create table if not exists t_ods_hs_indicator_list (
    ts_code varchar(32) default '' comment 'TS代码', 
    name varchar(32) default '' comment '简称', 
    fullname varchar(128) default '' comment '指数全称', 
    market varchar(32) default '' comment '市场', 
    publisher varchar(128) default '' comment '发布方', 
    index_type varchar(128) default '' comment '指数风格', 
    category varchar(32) default '' comment '指数类别', 
    base_date varchar(32) default '' comment '基期', 
    base_point float default 0 comment '基点', 
    list_date varchar(32) default '' comment '发布日期', 
    weight_rule varchar(32) default '' comment '加权方式', 
    ts_desc varchar(1024) default '' comment '描述', 
    exp_date varchar(32) default '' comment '终止日期', 
    PRIMARY KEY (ts_code)
)ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;


create table if not exists t_ods_hs_daily_basic (
    ts_code varchar(32) default '' comment 'TS代码',  
    trade_date varchar(32) default '' comment '交易日期',  
    close DECIMAL(19,4) default 0 comment '当日收盘价',  
    turnover_rate DECIMAL(19,4) default 0 comment '换手率',  
    turnover_rate_f DECIMAL(19,4) default 0 comment '换手率（自由流通股）',  
    volume_ratio DECIMAL(19,4) default 0 comment '量比',  
    pe DECIMAL(19,4) default 0 comment '市盈率（总市值/净利润）',  
    pe_ttm DECIMAL(19,4) default 0 comment '市盈率（TTM）',  
    pb DECIMAL(19,4) default 0 comment '市净率（总市值/净资产）',  
    ps DECIMAL(19,4) default 0 comment '市销率',  
    ps_ttm DECIMAL(19,4) default 0 comment '市销率（TTM）',  
    dv_ratio DECIMAL(19,4) default 0 comment '股息率（%）',  
    dv_ttm DECIMAL(19,4) default 0 comment '股息率（TTM）',  
    total_share DECIMAL(19,4) default 0 comment '总股本',  
    float_share DECIMAL(19,4) default 0 comment '流通股本',  
    free_share DECIMAL(19,4) default 0 comment '自由流通股本',  
    total_mv DECIMAL(22,4) default 0 comment '总市值',  
    circ_mv DECIMAL(22,4) default 0 comment '流通市值',  
    limit_status int default 0 comment '涨跌停状态',
    PRIMARY KEY (ts_code, trade_date)
)ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;